Get shape definition
curl --request GET \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/{id}/definition \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/{id}/definition"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/{id}/definition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/{id}/definition",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/{id}/definition"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/{id}/definition")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/{id}/definition")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"schema": "penumbra.shape-definition",
"version": 1,
"definition": {
"name": "<string>",
"adherence": "strict",
"types": [
{
"type_ref": "<string>",
"name": "<string>",
"properties": [
{
"property_ref": "<string>",
"name": "<string>",
"schema": true,
"required": false,
"semantics": {
"semantic_anchors": [
"<string>"
],
"examples": [
"<string>"
],
"counterexamples": [
"<string>"
],
"extraction_guidance": "<string>",
"temporal_role": "event"
}
}
],
"descriptive_property_refs": [],
"display_name": "<string>",
"tagline": "<string>",
"description": "<string>",
"schema_keywords": {},
"schema_has_properties": true,
"titular_property_ref": "<string>",
"key_property_refs": [
"<string>"
],
"archetype": "EventLike",
"semantics": {
"examples": [
"<string>"
],
"counterexamples": [
"<string>"
],
"extraction_guidance": "<string>",
"semantic_anchors": [
"<string>"
],
"aliases": [
"<string>"
],
"boundary": {
"inclusions": "<string>",
"exclusions": "<string>",
"absence_rule": "<string>"
},
"key_properties": "<unknown>"
},
"operative_metadata": true
}
],
"relationships": [
{
"relationship_ref": "<string>",
"name": "<string>",
"from_type_ref": "<string>",
"to_type_ref": "<string>",
"cardinality": "one_to_one",
"semantic_anchors": [],
"description": "<string>"
}
],
"display_name": "<string>",
"description": "<string>",
"hero_type_ref": "<string>",
"telos": {
"objectives": [
"<string>"
],
"success_metrics": [
"<string>"
],
"purpose": "<string>"
},
"mindset": "<string>",
"relationship_evidence_rule": "<string>",
"operative_metadata": true,
"domain_rules": {
"version": 1,
"relationships": [
{
"id": "<string>",
"relationship_ref": "<string>",
"direction": "outgoing",
"min": 2147483647,
"max": 2147483647
}
],
"capture_bindings": {}
},
"retired_refs": [
"<string>"
]
},
"source": {
"kind": "draft",
"draft_id": "<string>",
"revision": 123
}
}
}Shapes
Get shape definition
Read a published Shape’s definition file.
Get shape definition
curl --request GET \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/{id}/definition \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/{id}/definition"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/{id}/definition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/{id}/definition",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/{id}/definition"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/{id}/definition")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/{id}/definition")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"schema": "penumbra.shape-definition",
"version": 1,
"definition": {
"name": "<string>",
"adherence": "strict",
"types": [
{
"type_ref": "<string>",
"name": "<string>",
"properties": [
{
"property_ref": "<string>",
"name": "<string>",
"schema": true,
"required": false,
"semantics": {
"semantic_anchors": [
"<string>"
],
"examples": [
"<string>"
],
"counterexamples": [
"<string>"
],
"extraction_guidance": "<string>",
"temporal_role": "event"
}
}
],
"descriptive_property_refs": [],
"display_name": "<string>",
"tagline": "<string>",
"description": "<string>",
"schema_keywords": {},
"schema_has_properties": true,
"titular_property_ref": "<string>",
"key_property_refs": [
"<string>"
],
"archetype": "EventLike",
"semantics": {
"examples": [
"<string>"
],
"counterexamples": [
"<string>"
],
"extraction_guidance": "<string>",
"semantic_anchors": [
"<string>"
],
"aliases": [
"<string>"
],
"boundary": {
"inclusions": "<string>",
"exclusions": "<string>",
"absence_rule": "<string>"
},
"key_properties": "<unknown>"
},
"operative_metadata": true
}
],
"relationships": [
{
"relationship_ref": "<string>",
"name": "<string>",
"from_type_ref": "<string>",
"to_type_ref": "<string>",
"cardinality": "one_to_one",
"semantic_anchors": [],
"description": "<string>"
}
],
"display_name": "<string>",
"description": "<string>",
"hero_type_ref": "<string>",
"telos": {
"objectives": [
"<string>"
],
"success_metrics": [
"<string>"
],
"purpose": "<string>"
},
"mindset": "<string>",
"relationship_evidence_rule": "<string>",
"operative_metadata": true,
"domain_rules": {
"version": 1,
"relationships": [
{
"id": "<string>",
"relationship_ref": "<string>",
"direction": "outgoing",
"min": 2147483647,
"max": 2147483647
}
],
"capture_bindings": {}
},
"retired_refs": [
"<string>"
]
},
"source": {
"kind": "draft",
"draft_id": "<string>",
"revision": 123
}
}
}Operation ID:
http.shapes.definition
GET /v1/orgs/{org}/projects/{project}/shapes/{id}/definition
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The artifact digest, sha256:<64 hex>. Defaults to the head.
Pattern:
^sha256:[0-9a-f]{64}$Response
2XX - application/json
Success.
Show child attributes
Show child attributes